<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>评卷质量监控</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<style type="text/css">.sort{color:#0663A2;cursor:pointer;}</style>
	<script src="${ctxStatic}/echarts/echarts.min.js" type="text/javascript"></script>
</head>
<body>
    <ul class="nav nav-tabs">
        <li class="active"><a href="#">${subject.code}-${subject.name}&nbsp;&nbsp;${group.number}-${group.title}</a></li>
        <li><a href="${ctx}/admin/exam/quality?subjectCode=${subject.code}">返回</a></li>
    </ul>
	<tags:message content="${message}"/>
	<div id="main" style="width: 800px;height:300px;"></div>
	<table id="contentTable" class="table table-striped table-bordered table-condensed">
		<thead>
			<tr>
				<th>评卷员</th>
				<th>姓名</th>
				<c:forEach var="i" begin="${minScore}" end="${maxScore}">
					<th><c:out value="${i}"/>分</th>
				</c:forEach>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${markers}" var="marker">
			<tr>
				<td>${marker.loginName}</td>
				<td>${marker.name}</td>
				<c:forEach var="i" begin="${minScore}" end="${maxScore}">
					<td>
					<c:if test="${marker.scoreCount[i*1.0]!=null}">${marker.scoreCount[i*1.0] }</c:if>
					<c:if test="${marker.scoreCount[i*1.0]==null }">0</c:if>
					</td>
				</c:forEach>
			</tr>
		</c:forEach>
		</tbody>
	</table>
<script type="text/javascript">
var groupNumber='${groupNumber}';
var subjectCode='${subjectCode}';
var markerArray= [] ;
var nameList = [];
var maxScore = ${maxScore};
var minScore = ${minScore};
var scoreArray = new Array();
for(var i=minScore;i<= maxScore;i++){
	scoreArray.push(i);
}
$.post('${ctx}/admin/exam/quality/getChart', {subjectCode: subjectCode,groupNumber:groupNumber}, function(result){
	for(var i=0;i<result.length;i++){
        var marker = result[i];
        var scorePercents= [];
		
		for(var j=minScore;j<= maxScore;j++){
        	var key=j+".0";
			var percent = marker.scorePercent[key];
        	if(percent==undefined){
        		scorePercents.push(0);
        	}else{
        		scorePercents.push(percent);
        	}
        }
        var option  = {
            name:marker.loginName,
            type:'line',
            stack: '总量',
            data:scorePercents
        }
        markerArray.push(option);
        nameList.push(marker.loginName);
    }
	var myChart = echarts.init(document.getElementById('main'));
	option = {
		    tooltip : {
		        trigger: 'axis'
		    },
		    legend: {
		        data:nameList
		    },
		    toolbox: {
		        show : true
		    },
		    calculable : true,
		    xAxis : [
		        {
		            type : 'category',
		            boundaryGap : false,
		            name :'分值',
		            data : scoreArray
		        }
		    ],
		    yAxis : [
		        {
		            type : 'value',
		            name :'百分比',
		        }
		    ],
		    series : markerArray
		    
		};
	myChart.setOption(option);
});

</script>	
</body>
</html>